<!DOCTYPE html>
<html lang="">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <link rel="icon" href="<%= BASE_URL %>favicon.ico">
	<link rel="stylesheet" href="./css/notyf.min.css">
	<link rel="stylesheet" href="./css/font-awesome.min.css">
    <!-- <title><%= htmlWebpackPlugin.options.title %></title> -->
    <title>云仿真测试系统</title>
	<script src="./js/dat.gui.min.js"></script>
	<script src="./js/libOpenDrive.js"></script>
	<script src="./js/notyf.min.js"></script>
	<script id="idVertexShader" type="x-shader/x-vertex">
	    attribute vec4 id;
	    varying vec4 vId;
	
	    void main() { 
	        vId = id;
	        gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );
	    }
	</script>
	
	<script id="idFragmentShader" type="x-shader/x-vertex">
	    varying vec4 vId;
	    
	    void main() {
	        gl_FragColor = vId;
	    }
	</script>
	
	<script id="xyzVertexShader" type="x-shader/x-vertex">
	    varying vec3 vXYZ;
	
	    void main() { 
	        vXYZ = position;
	        gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );
	    }
	</script>
	
	<script id="xyzFragmentShader" type="x-shader/x-vertex">
	    varying vec3 vXYZ;
	    
	    void main() {
	        gl_FragColor = vec4(vXYZ, 1.0);
	    }
	</script>
	
	<script id="stVertexShader" type="x-shader/x-vertex">
	    attribute vec2 st;
	    varying vec2 vST;
	
	    void main() { 
	        vST = st;
	        gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );
	    }
	</script>
	
	<script id="stFragmentShader" type="x-shader/x-vertex">
	    varying vec2 vST;
	    
	    void main() {
	        gl_FragColor = vec4(vST.x, vST.y, 0.0, 1.0);
	    }
	</script>
  </head>
  <body>
    <noscript>
      <strong>We're sorry but 仿真云平台 doesn't work properly without JavaScript enabled. Please enable it to continue.</strong>
    </noscript>
    <div id="app"></div>
	<script src="./js/controls.js"></script>
    <!-- built files will be auto injected -->
  </body>
</html>
